## org.eclipse.datatools.modelbase.dbdefinition
Interface IndexDefinition

All Known Implementing Classes:
  IndexDefinitionImpl

public interface IndexDefinition

A representation of the model object 'Index Definition'.

The following features are supported:

- `Percent Free Terminology`
- `Percent Free Changeable`
- `Clustering Supported`
- `Cluster Changeable`
- `Fill Factor Supported`
- `Included Columns Supported`
- `Maximum Identifier Length`

See Also:
  `DatabaseDefinitionPackage.getIndexDefinition()`

Method Summary
`int` `getMaximumIdentifierLength()` Returns the value of the 'Maximum Identifier Length' attribute.
`PercentFreeTerminology` `getPercentFreeTerminology()` Returns the value of the 'Percent Free Terminology' attribute.
`boolean` `isClusterChangeable()` Returns the value of the 'Cluster Changeable' attribute.
`boolean` `isClusteringSupported()` Returns the value of the 'Clustering Supported' attribute.
`boolean` `isFillFactorSupported()` Returns the value of the 'Fill Factor Supported' attribute.
`boolean` `isIncludedColumnsSupported()` Returns the value of the 'Included Columns Supported' attribute.
`boolean` `isPercentFreeChangeable()` Returns the value of the 'Percent Free Changeable' attribute.
`void` `setClusterChangeable(boolean value)` Sets the value of the '`Cluster Changeable`' attribute.
`void` `setClusteringSupported(boolean value)` Sets the value of the '`Clustering Supported`' attribute.
`void` `setFillFactorSupported(boolean value)` Sets the value of the '`Fill Factor Supported`' attribute.
`void` `setIncludedColumnsSupported(boolean value)` Sets the value of the '`Included Columns Supported`' attribute.
`void` `setMaximumIdentifierLength(int value)` Sets the value of the '`Maximum Identifier Length`' attribute.
`void` `setPercentFreeChangeable(boolean value)` Sets the value of the '`Percent Free Changeable`' attribute.
`void` `setPercentFreeTerminology(PercentFreeTerminology value)` Sets the value of the '`Percent Free Terminology`' attribute.

Method Detail

### getPercentFreeTerminology

    public PercentFreeTerminology getPercentFreeTerminology()

  Returns the value of the 'Percent Free Terminology' attribute. The literals are from the enumeration `PercentFreeTerminology`.

  If the meaning of the 'Percent Free Terminology' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Percent Free Terminology' attribute.
  See Also:
    `PercentFreeTerminology`, `setPercentFreeTerminology(PercentFreeTerminology)`, `DatabaseDefinitionPackage.getIndexDefinition_PercentFreeTerminology()`

### setPercentFreeTerminology

    public void setPercentFreeTerminology(PercentFreeTerminology value)

  Sets the value of the '`Percent Free Terminology`' attribute.

  Parameters:
    `value` - the new value of the 'Percent Free Terminology' attribute.
  See Also:
    `PercentFreeTerminology`, `getPercentFreeTerminology()`

### isPercentFreeChangeable

    public boolean isPercentFreeChangeable()

  Returns the value of the 'Percent Free Changeable' attribute.

  If the meaning of the 'Percent Free Changeable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Percent Free Changeable' attribute.
  See Also:
    `setPercentFreeChangeable(boolean)`, `DatabaseDefinitionPackage.getIndexDefinition_PercentFreeChangeable()`

### setPercentFreeChangeable

    public void setPercentFreeChangeable(boolean value)

  Sets the value of the '`Percent Free Changeable`' attribute.

  Parameters:
    `value` - the new value of the 'Percent Free Changeable' attribute.
  See Also:
    `isPercentFreeChangeable()`

### isClusteringSupported

    public boolean isClusteringSupported()

  Returns the value of the 'Clustering Supported' attribute.

  If the meaning of the 'Clustering Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Clustering Supported' attribute.
  See Also:
    `setClusteringSupported(boolean)`, `DatabaseDefinitionPackage.getIndexDefinition_ClusteringSupported()`

### setClusteringSupported

    public void setClusteringSupported(boolean value)

  Sets the value of the '`Clustering Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Clustering Supported' attribute.
  See Also:
    `isClusteringSupported()`

### isClusterChangeable

    public boolean isClusterChangeable()

  Returns the value of the 'Cluster Changeable' attribute.

  If the meaning of the 'Cluster Changeable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cluster Changeable' attribute.
  See Also:
    `setClusterChangeable(boolean)`, `DatabaseDefinitionPackage.getIndexDefinition_ClusterChangeable()`

### setClusterChangeable

    public void setClusterChangeable(boolean value)

  Sets the value of the '`Cluster Changeable`' attribute.

  Parameters:
    `value` - the new value of the 'Cluster Changeable' attribute.
  See Also:
    `isClusterChangeable()`

### isFillFactorSupported

    public boolean isFillFactorSupported()

  Returns the value of the 'Fill Factor Supported' attribute.

  If the meaning of the 'Fill Factor Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Fill Factor Supported' attribute.
  See Also:
    `setFillFactorSupported(boolean)`, `DatabaseDefinitionPackage.getIndexDefinition_FillFactorSupported()`

### setFillFactorSupported

    public void setFillFactorSupported(boolean value)

  Sets the value of the '`Fill Factor Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Fill Factor Supported' attribute.
  See Also:
    `isFillFactorSupported()`

### isIncludedColumnsSupported

    public boolean isIncludedColumnsSupported()

  Returns the value of the 'Included Columns Supported' attribute. The default value is `"false"`.

  If the meaning of the 'Included Columns Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Included Columns Supported' attribute.
  See Also:
    `setIncludedColumnsSupported(boolean)`, `DatabaseDefinitionPackage.getIndexDefinition_IncludedColumnsSupported()`

### setIncludedColumnsSupported

    public void setIncludedColumnsSupported(boolean value)

  Sets the value of the '`Included Columns Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Included Columns Supported' attribute.
  See Also:
    `isIncludedColumnsSupported()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Returns the value of the 'Maximum Identifier Length' attribute.

  If the meaning of the 'Maximum Identifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getIndexDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int value)

  Sets the value of the '`Maximum Identifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `getMaximumIdentifierLength()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.